API ReferenceOrganization collections
Search and paginate customer machines (assigned staff only)
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
orgId*string
Format
uuidQuery Parameters
page?object
Default
1Range
1 <= valuepageSize?number
Default
25Value in
25 | 50 | 100q?string
Literal text search; SQL wildcard characters have no special meaning.
Length
length <= 200factory?string
Factory slug belonging to this organization.
status?string
Default
"all"Value in
"all" | "active" | "inactive"sort?string
Default
"name_asc"Value in
"name_asc" | "name_desc" | "code_asc"Response Body
application/json
curl -X GET "https://api.xentr.ai/api/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/collection-machines"{
"total": 0,
"page": 0,
"pageSize": 25,
"pageCount": 0,
"items": [
{
"id": "string",
"code": "string",
"name": "string",
"machineType": "string",
"tier": "string",
"isActive": true,
"factoryId": "string",
"factoryName": "string",
"organizationName": "string",
"location": "string",
"protocol": "string"
}
]
}